CELERY BEAT(1)

NAME
celery-beat - Start the beat periodic task scheduler.

SYNOPSIS
celery beat [OPTIONS]

DESCRIPTION
Start the beat periodic task scheduler.

OPTIONS

--detach
    Detach and run in the background as a daemon.

-s, --schedule TEXT
    Path to the schedule database. Defaults to `celerybeat-schedule`.The extension '.db' may be appended to the filename.

-S, --scheduler TEXT
    Scheduler class to use.

--max-interval INTEGER
    Max seconds to sleep between schedule iterations.

-l, --loglevel [DEBUG|INFO|WARNING|ERROR|CRITICAL|FATAL]
    Logging level.

-f, --logfile TEXT
    Log destination; defaults to stderr

--pidfile TEXT
    PID file path; defaults to no PID file

--uid TEXT
    Drops privileges to this user ID

--gid TEXT
    Drops privileges to this group ID

--umask TEXT
    Create files and directories with this umask

--executable TEXT
    Override path to the Python executable